Bug 1554954 - No serial console output on aarch64 with kernel-4.16.0-0.rc5.git0.1.fc28
Summary: No serial console output on aarch64 with kernel-4.16.0-0.rc5.git0.1.fc28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2018-03-13 16:07 UTC by Paul Whalen
Modified: 2018-03-30 12:58 UTC (History)
21 users (show)

Fixed In Version: kernel-4.16.0-0.rc5.git0.2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 12:58:50 UTC


Attachments (Terms of Use)

Description Paul Whalen 2018-03-13 16:07:28 UTC
Description of problem:
Testing kernel-4.16.0-0.rc5.git0.1.fc28 on aarch64 there is no serial console output after the initial EFI messages. 

Version-Release number of selected component (if applicable):
kernel-4.16.0-0.rc5.git0.1.fc28

How reproducible:
Everytime, all hardware tested is affected including - Mustang, Seattle, Pine 64 and Raspberry Pi 3. 

Additional info:
Kernel 4.16.0-0.rc4.git3.1.fc29.aarch64 boots as expected on the Mustang and Seattle.

Comment 1 Jeremy Cline 2018-03-13 16:58:07 UTC
Hi Paul,

Can you test https://koji.fedoraproject.org/koji/taskinfo?taskID=25687089 when it's done? It reverts commit e21da1c992007594d391e7b301779cf30f438691.

Thanks!

Comment 2 Paul Whalen 2018-03-13 19:38:11 UTC
(In reply to Jeremy Cline from comment #1)
> Hi Paul,
> 
> Can you test https://koji.fedoraproject.org/koji/taskinfo?taskID=25687089
> when it's done? It reverts commit e21da1c992007594d391e7b301779cf30f438691.
> 
> Thanks!

Unfortunately, no change with that kernel.

EFI stub: Booting Linux Kernel...
EFI stub: EFI_RNG_PROTOCOL unavailable, no randomness supplied
EFI stub: Using DTB from configuration table
EFI stub: Exiting boot services and installing virtual address map...

Adding earlycon gives the following output on the mustang: 

EFI stub: Booting Linux Kernel...
EFI stub: EFI_RNG_PROTOCOL unavailable, no randomness supplied
EFI stub: Using DTB from configuration table
EFI stub: Exiting boot services and installing virtual address map...
L3C: 8MB
[    0.000000] Booting Linux on physical CPU 0x0000000000 [0x500f0000]
[    0.000000] Linux version 4.16.0-0.rc5.git0.2.fc28.aarch64 (mockbuild@buildvm-aarch64-10.arm.fedoraproject.org) (gcc version 8.0.1 20180222 (Red Hat 8.0.1-0.16) (GCC)) #1 SMP Tue Mar 13 17:03:06 UTC 2018
[    0.000000] Machine model: APM X-Gene Mustang board
[    0.000000] earlycon: uart0 at MMIO32 0x000000001c020000 (options '')
[    0.000000] bootconsole [uart0] enabled
[    0.000000] debug: skip boot console de-registration.
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] efi: EFI v2.40 by X-Gene Mustang Board EFI Oct 17 2016 13:54:05
[    0.000000] efi:  ACPI=0x43fa700000  ACPI 2.0=0x43fa700014  SMBIOS 3.0=0x43fa9db000  ESRT=0x43ff006d18 
[    0.000000] esrt: Reserving ESRT space from 0x00000043ff006d18 to 0x00000043ff006d78.
[    0.000000] cma: Reserved 64 MiB at 0x00000040fc000000
[    0.000000] NUMA: No NUMA configuration found
[    0.000000] NUMA: Faking a node at [mem 0x0000000000000000-0x00000043ffffffff]
[    0.000000] NUMA: NODE_DATA [mem 0x43fff85500-0x43fff92fff]
[    0.000000] Zone ranges:
[    0.000000]   DMA32    [mem 0x0000004000000000-0x00000040ffffffff]
[    0.000000]   Normal   [mem 0x0000004100000000-0x00000043ffffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000004000000000-0x00000040001fffff]
[    0.000000]   node   0: [mem 0x0000004000200000-0x00000043fa59ffff]
[    0.000000]   node   0: [mem 0x00000043fa5a0000-0x00000043fa5cffff]
[    0.000000]   node   0: [mem 0x00000043fa5d0000-0x00000043fa5ddfff]
[    0.000000]   node   0: [mem 0x00000043fa5de000-0x00000043fa60ffff]
[    0.000000]   node   0: [mem 0x00000043fa610000-0x00000043fa6affff]
[    0.000000]   node   0: [mem 0x00000043fa6b0000-0x00000043fa6bffff]
[    0.000000]   node   0: [mem 0x00000043fa6c0000-0x00000043fa70ffff]
[    0.000000]   node   0: [mem 0x00000043fa710000-0x00000043fa9cffff]
[    0.000000]   node   0: [mem 0x00000043fa9d0000-0x00000043fa9d9fff]
[    0.000000]   node   0: [mem 0x00000043fa9da000-0x00000043fa9dbfff]
[    0.000000]   node   0: [mem 0x00000043fa9dc000-0x00000043ff99ffff]
[    0.000000]   node   0: [mem 0x00000043ff9a0000-0x00000043ff9affff]
[    0.000000]   node   0: [mem 0x00000043ff9b0000-0x00000043ff9bffff]
[    0.000000]   node   0: [mem 0x00000043ff9c0000-0x00000043ff9effff]
[    0.000000]   node   0: [mem 0x00000043ff9f0000-0x00000043ffffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000004000000000-0x00000043ffffffff]

Comment 3 Laura Abbott 2018-03-14 03:46:06 UTC
Should be fixed by https://marc.info/?l=linux-kernel&m=152098099822627&w=2, putting the patch in rawhide for tomorrow's build

Comment 4 Dusty Mabe 2018-03-14 12:50:11 UTC
Thanks Laura/Jeremy for the quick turnaround!

Comment 5 Fedora Update System 2018-03-15 16:53:12 UTC
kernel-4.16.0-0.rc5.git0.2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-08eb47b9da

Comment 6 Fedora Update System 2018-03-16 14:45:43 UTC
kernel-4.16.0-0.rc5.git0.2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-08eb47b9da

Comment 7 Fedora Update System 2018-03-30 12:58:50 UTC
kernel-4.16.0-0.rc5.git0.2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.